package client;

import com.cdyne.ws.weatherws.WeatherPortType;
import com.cdyne.ws.weatherws.WeatherReturn;
import com.cdyne.ws.weatherws.WeatherService;

public class WeatherClient {
	static WeatherService weatherService;

	public static void main(String[] args) {

		if (args.length != 1) {
			System.err.println("usage: " + WeatherClient.class.getName()
					+ " <zip>");
			System.exit(0);
		}

		weatherService = new WeatherService();

		WeatherPortType port = weatherService.getWeatherPortType();

		WeatherReturn weather = port.getCityWeatherByZIP(args[0]);

		printWeather(weather);

	}

	private static void printWeather(WeatherReturn weather) {

		System.out.println((weather.isSuccess() ? "Invocation successful: "
				: "Invocation failed: ")
				+ weather.getResponseText() + "\n");

		if (weather.isSuccess()) {
			System.out.println("City: " + weather.getCity() + ", "
					+ weather.getState());
			System.out.println("Weather station: "
					+ weather.getWeatherStationCity());
			System.out.println("Description: " + weather.getDescription());
			System.out.println("Temperature: " + weather.getTemperature()
					+ "F");
			System.out.println("Humidity: " + weather.getRelativeHumidity()
					+ "%");
			System.out.println("Wind: " + weather.getWind());
			System.out
					.println("Atmospheric pressure: " + weather.getPressure());
			System.out.println("Visibility: " + weather.getVisibility());
			System.out.println("Wind Chill: " + weather.getWindChill());
			System.out.println("Remarks: " + weather.getRemarks());
		}

	}
}
